Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.activate_registry_entry(source="cluster", model_id="openai:gpt-4.1-mini")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.activateRegistryEntry({
source: "cluster",
modelId: "openai:gpt-4.1-mini",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
ActivateRegistryEntryRequest req = new ActivateRegistryEntryRequest() {
Source = RegistrySource.Cluster,
ModelId = "openai:gpt-4.1-mini",
};
var res = await sdk.Llm.Models.ActivateRegistryEntryAsync(req);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/models/registry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "cluster",
"model_id": "openai:gpt-4.1-mini"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: 'cluster', model_id: 'openai:gpt-4.1-mini'})
};
fetch('https://apigw.mka1.com/api/v1/llm/models/registry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model_id": "openai:gpt-4.1-mini",
"source": "cluster",
"activated_by": "user-org-admin-1",
"activated_at": "2026-07-17T20:00:00.000Z"
}Models
Activate a catalog entry
Claims a model name from one catalog source. Re-activation from the same source is idempotent; a different holder returns 409.
POST
/
api
/
v1
/
llm
/
models
/
registry
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.activate_registry_entry(source="cluster", model_id="openai:gpt-4.1-mini")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.activateRegistryEntry({
source: "cluster",
modelId: "openai:gpt-4.1-mini",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
ActivateRegistryEntryRequest req = new ActivateRegistryEntryRequest() {
Source = RegistrySource.Cluster,
ModelId = "openai:gpt-4.1-mini",
};
var res = await sdk.Llm.Models.ActivateRegistryEntryAsync(req);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Body
application/json
Was this page helpful?
⌘I